VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Attributes | List of all members
IContextMenuItem Struct Reference

IContextMenuItem is an entry element of the context menu. More...

`#include <ivstcontextmenu.h>`

## Public Types
enum | Flags { kIsSeparator = 1 << 0, kIsDisabled = 1 << 1, kIsChecked = 1 << 2, kIsGroupStart = 1 << 3 | kIsDisabled, kIsGroupEnd = 1 << 4 | kIsSeparator }

## Public Attributes
String128 | name
| Name of the item.
int32 | tag
| Identifier tag of the item.
int32 | flags
| Flags of the item.

## Detailed Description

IContextMenuItem is an entry element of the context menu.

## Member Enumeration Documentation

enum Flags

Enumerator
kIsSeparator | Item is a separator.
kIsDisabled | Item is disabled.
kIsChecked | Item is checked.
kIsGroupStart | Item is a group start (like sub folder)
kIsGroupEnd | Item is a group end.

## Member Data Documentation

String128 name

Name of the item.

int32 tag

Identifier tag of the item.

int32 flags

Flags of the item.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.